> This page is for Plate-forme, version Hérité.
> For other versions, use one of these documentation indexes:
> - V4 (default): https://next.developer.frame.io/platform/v4/llms.txt
> - V4 expérimental: https://next.developer.frame.io/platform/v4-experimental/llms.txt
> - Hérité: https://next.developer.frame.io/platform/v2/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://next.developer.frame.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://next.developer.frame.io/_mcp/server.

# Récupérer des notifications groupées

GET https://api.frame.io/v2/notifications



Reference: https://next.developer.frame.io/platform/v2/api-reference/notifications/get-grouped-notifications

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Response

### 200

- `date` (string, optional)
- `link_to` (list of V2NotificationsGetResponsesContentApplicationJsonSchemaLinkToItems, optional)
- `user_count` (integer, optional)
- `notification_ids` (list of string, optional)
- `id` (string, optional) — First notification id
- `text_elements` (V2NotificationsGetResponsesContentApplicationJsonSchemaTextElements, optional)
- `thumbs` (list of V2NotificationsGetResponsesContentApplicationJsonSchemaThumbsItems, optional)
- `status` (enum, optional) — Notification status
  - Allowed values: `read`, `unread`
- `asset_type` (enum, optional)
  - Allowed values: `DocumentAsset`, `VideoAsset`

## Types

### V2NotificationsGetResponsesContentApplicationJsonSchemaLinkToItems

- `type` (enum, optional)
  - Allowed values: `asset`, `comment`
- `id` (string, optional)

### V2NotificationsGetResponsesContentApplicationJsonSchemaTextElements

- `header` (list of V2NotificationsGetResponsesContentApplicationJsonSchemaTextElementsHeaderItems, optional)
- `body` (list of V2NotificationsGetResponsesContentApplicationJsonSchemaTextElementsBodyItems, optional)
- `footer` (list of V2NotificationsGetResponsesContentApplicationJsonSchemaTextElementsFooterItems, optional)

### V2NotificationsGetResponsesContentApplicationJsonSchemaThumbsItems

### V2NotificationsGetResponsesContentApplicationJsonSchemaTextElementsHeaderItems

- `type` (enum, optional) — The type of the text element
  - Allowed values: `text_element`
- `format` (enum, optional)
  - Allowed values: `strong`, `plain_text`
- `value` (enum, optional)
  - Allowed values: `commented on`, `comentado`
- `text_element` (enum, optional) — The type of the text element
  - Allowed values: `text_element`

### V2NotificationsGetResponsesContentApplicationJsonSchemaTextElementsBodyItems

- `type` (enum, optional) — The type of the text element
  - Allowed values: `status`
- `format` (enum, optional)
  - Allowed values: `plain_text`, `strong`
- `value` (enum, optional)
  - Allowed values: `In Progress`, `Approved`, `Needs Review`
- `status` (enum, optional)
  - Allowed values: `status_in_progress`, `status_approved`, `status_needs_review`

### V2NotificationsGetResponsesContentApplicationJsonSchemaTextElementsFooterItems

## Examples

**Response**

```json
{
  "date": "2022-08-02T15:47:33Z",
  "link_to": [
    {
      "type": "asset",
      "id": "string"
    }
  ],
  "user_count": 5,
  "notification_ids": [
    "string"
  ],
  "id": "string",
  "text_elements": {
    "header": [
      {
        "type": "text_element",
        "format": "strong",
        "value": "commented on",
        "text_element": "text_element"
      }
    ],
    "body": [
      {
        "type": "status",
        "format": "plain_text",
        "value": "Approved",
        "status": "status_in_progress"
      }
    ],
    "footer": [
      {}
    ]
  },
  "thumbs": [
    {}
  ],
  "status": "read",
  "asset_type": "VideoAsset"
}
```

**SDK Code**

```python
import requests

url = "https://api.frame.io/v2/notifications"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.frame.io/v2/notifications';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.frame.io/v2/notifications"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.frame.io/v2/notifications")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.frame.io/v2/notifications")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.frame.io/v2/notifications', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.frame.io/v2/notifications");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.frame.io/v2/notifications")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```